Skip to main content
Platform Operations/Platform Misc
GETPlatformSince 1.0SynchronousAuth Required

ListSupportedBatchActions

List all supported batch action types and their constraints.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of supported batch action definitions

    Example: (nested array)

    • resourceTypeString

      Resource type this batch action applies to

      Example: platform

    • actionString

      Action name identifier

      Example: delete

    • descriptionString

      Human-readable description of what this action does

      Example: Delete multiple platforms in a single request

    • maxBatchSizeInteger

      Maximum number of items allowed in one batch request

      Example: 100

  • totalInteger

    Total number of supported actions

    Example: 8

  • limitInteger

    Maximum number of items per page

    Example: 20

  • offsetInteger

    Number of items skipped

    Example: 20

Endpoint

GET/api/v1/batch/supported-actions

/api/v1/batch/supported-actions

Operation ID

ListSupportedBatchActions

Permalink

Request Example

curl -X GET '{host}/api/v1/batch/supported-actions' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 8,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history